List key budgets
curl --request GET \
--url https://api.omnirelay.ai/v1/manage/keys/budgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnirelay.ai/v1/manage/keys/budgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnirelay.ai/v1/manage/keys/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"keys": [],
"budget_unit": "micro-USD",
"timezone": "UTC"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}Management
List key budgets
Returns owner key budgets and effective remaining allowance. Amounts are micro-USD; reset timestamps are Unix milliseconds, with UTC calendar resets.
GET
/
v1
/
manage
/
keys
/
budgets
List key budgets
curl --request GET \
--url https://api.omnirelay.ai/v1/manage/keys/budgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnirelay.ai/v1/manage/keys/budgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnirelay.ai/v1/manage/keys/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"keys": [],
"budget_unit": "micro-USD",
"timezone": "UTC"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}